Subject: RE: [AAA-WG]: Issue 212: How does the AAAH know the Destination-Host of a previously assigned foreign HA?

From: "Patil Basavaraj (NET/Dallas)" <[email-masked]>
Date: Wed, 7 Nov 2001 10:12:41 -0600

I vote for option 1 as well. It may very well be the fastest way to get
the
Diameter for MIPv4 spec done and reduce the dependency on other docs
in the Mobile IP WG.

-Basavaraj

> 
> All,
> 
> While looking at solving this issue, we have two options:
> 
> 1. Require that the AAAH perform the Server Discovery procedures in
>    section 5.2 to determine the URL of the Home Agent.
> 
> 2. Create a new Mobile IP extension, and associated AVP, 
> which the Mobile
>    Node must include in its registration requests. This means 
> that once the
>    mobile has been initially registered by the HA, the HA 
> would include its
>    identity in the registration reply.
> 
> My preference is to go with option #1. I see no reason why 
> this cannot be 
> required for inter-domain mobility. It would, however, break 
> if either the
> FA or the HA were using private addresses, but then again, 
> Mobile IP between
> such nodes (across domains) wouldn't work anyways. Option #2 
> will require
> a new document to be introduced in the MIP WG, more editorial work, 
> WG consensus gathering, etc. Not something that can be 
> achieved in the short
> term.
> 
> So, I vote for option 1.
> 
> Thoughts?
> 
> PatC
>